Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreException.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include <exception>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | OgreAssert(a, b) assert( (a) && (b) )
#define | OGRE_EXCEPT(num, desc, src)

## Define Documentation

#define OGRE_EXCEPT | ( | num,
|  | desc,
|  | src |  | ) |

| Value:
    throw Ogre::ExceptionFactory::create( \
        Ogre::ExceptionCodeType<num>(), desc, src, __FILE__, __LINE__ );
Definition at line 336 of file OgreException.h. Referenced by Ogre::AnimableObject::_getAnimableValueNames(), Ogre::any_cast(), Ogre::AnimableValue::applyDeltaValue(), Ogre::AnimableObject::createAnimableValue(), Ogre::AnimableObject::getAnimableValueNames(), Ogre::Renderable::getCustomParameter(), Ogre::Any::operator()(), and Ogre::AnimableValue::setValue().

#define OgreAssert | ( | a,
|  | b |  | ) | assert( (a) && (b) )

| Definition at line 68 of file OgreException.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007